## python-pyzipper 0.3.6

=== Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -W
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = pyzipper
SOURCEDIR     = .
BUILDDIR      = _build
API_TOCTREE_DIR	= api

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

clean_all:
	rm -rf $(BUILDDIR)/*
	rm -rf $(API_TOCTREE_DIR)/*

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-pyzipper (0.3.6-4) unstable; urgency=medium

  * debian/control:
     - Bumped Standards-Version to 4.7.0
     - autopkgtest-pkg-pybuild Replaced with debian/tests/control
     - Removed Build-depends python3-standard-nntplib deprecated
  *  debian/tests/control:
     - Added to fix error in autopkgtest-pkg-pybuild
  *  debian/patches/0003.removed-nntplib-deprecated.patch
     - Removed deprecated lib nntplib in Python 3.13

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 29 Dec 2024 08:23:26 -0300

python-pyzipper (0.3.6-3) unstable; urgency=medium

  * Team upload.
  * Depends on new python3-standard-nntplib (Closes: #1084534)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 22 Dec 2024 17:36:44 +0100

python-pyzipper (0.3.6-2) unstable; urgency=medium

  * debian/control: Fixed address Vcs*
  * debian/patches/0002.fix-build-tests.patch: Sweaks for running autopkgtests

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Fri, 17 May 2024 23:02:56 -0300

python-pyzipper (0.3.6-1) unstable; urgency=medium

  * Initial release. (Closes: #1068141)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 30 Mar 2024 22:10:52 -0300

=== debian/control ===
Source: python-pyzipper
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-coverage <!nocheck>,
               python3-pyasyncore <!nocheck>,
               python3-pycryptodome,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-pytest-flake8 <!nocheck>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>
Standards-Version: 4.7.0
Homepage: https://github.com/danifus/pyzipper
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyzipper
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyzipper.git
#Testsuite: autopkgtest-pkg-pybuild

Package: python3-pyzipper
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-pyzipper-doc
Description: AES encryption for zipfile
 PyZipper is a Python library for working with ZIP files in an efficient
 and user-friendly way. It provides a high-level interface for creating,
 reading, writing and extracting ZIP files. Additionally, it supports
 advanced functionalities such as AES encryption and LZMA updates.
 .
 Key Features:
  - Allows you to add, remove, rename and list entries in ZIP files
    efficiently.
  - Provides an intuitive Python API, making ZIP archive manipulation
    simple and straightforward.
  - AES (Advanced Encryption Standard) encryption support to protect ZIP
    files with passwords.
  - Allows you to compress ZIP files using the LZMA compression algorithm,
    which offers high compression rates.

Package: python-pyzipper-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: AES encryption for zipfile (common documentation)
 PyZipper is a Python library for working with ZIP files in an efficient
 and user-friendly way. It provides a high-level interface for creating,
 reading, writing and extracting ZIP files. Additionally, it supports
 advanced functionalities such as AES encryption and LZMA updates.
 .
 Key Features:
  - Allows you to add, remove, rename and list entries in ZIP files
    efficiently.
  - Provides an intuitive Python API, making ZIP archive manipulation
    simple and straightforward.
  - AES (Advanced Encryption Standard) encryption support to protect ZIP
    files with passwords.
  - Allows you to compress ZIP files using the LZMA compression algorithm,
    which offers high compression rates.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME=pyzipper

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

ifneq ($(PYBUILD_AUTOPKGTEST),1)
# Deselect test since executables are not available before installation
export PYBUILD_BEFORE_TEST=cp -r {dir}/test {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/test
export PYBUILD_TEST_ARGS=-v -p no:warnings \
	-k 'not test_temp_dir__forked_child \
		and not test_bad_use \
		and not test_create_command \
		and not test_extract_command \
                and not test_args_from_interpreter_flags \
                and not test_main \
		and not test_test_command'
endif

# test_main fails on Python3.13 with "AttributeError: module 'unittest' has no attribute 'makeSuite'"



# sphinx documentation
override_dh_sphinxdoc:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=pyzipper python3 -m sphinx $(SPHINXOPTS) -d debian/doctrees -N docs/ \
		$(CURDIR)/debian/python-pyzipper-doc/usr/share/doc/python-pyzipper-doc/html
	dh_sphinxdoc
endif

execute_after_dh_link:
# Fix privacy-breach-generic
	find debian/python-pyzipper-doc/ -name '*.html' -exec sed -i 's|https://img.shiel||g' {} \;

=== debian/tests/control ===
Test-Command: python3 -m pytest -v -p no:warnings -k 'not test_temp_dir__forked_child and not test_bad_use  and not test_create_command and not test_extract_command and not test_args_from_interpreter_flags and not test_main and not test_test_command'
Depends: python3-coverage,
         python3-pyasyncore,
         python3-pycryptodome,
         python3-pytest,
         python3-pytest-cov,
         python3-pytest-flake8,
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://github.com/danifus/pyzipper/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
